import { ref as F, reactive as h, resolveComponent as u, createBlock as v, openBlock as d, withCtx as p, createVNode as f, createElementBlock as A, Fragment as B, renderList as R, withModifiers as w, normalizeClass as E, createElementVNode as S, resolveDynamicComponent as $ } from "vue";
import { notification as _ } from "ant-design-vue";
const T = (a, b) => {
  const i = a.__vccOpts || a;
  for (const [r, c] of b)
    i[r] = c;
  return i;
}, U = { class: "input-wrapper" }, j = {
  __name: "MultiEditModal",
  props: {
    fields: {
      type: Array,
      required: !0,
      default: () => []
    },
    selectedRecords: {
      type: Array,
      required: !0,
      default: () => []
    },
    submitApi: {
      type: Function,
      required: !0
    },
    getContainer: {
      type: Function,
      default: () => document.body
    }
  },
  emits: ["cancel", "submit"],
  setup(a, { expose: b, emit: i }) {
    const r = a, c = i, m = F(!1), s = h({}), t = h({});
    r.fields.forEach((e) => {
      s[e.name] = e.defaultValue || null, t[e.name] = !1;
    });
    const k = (e) => {
      t[e] = !t[e], console.log(`${e} 现在是 ${t[e]}`);
    }, y = () => {
      r.fields.forEach((e) => {
        s[e.name] = e.defaultValue || null, t[e.name] = !1;
      });
    }, M = () => {
      if (r.selectedRecords.length === 0) {
        _.error({
          message: "失败",
          description: "请先勾选数据",
          duration: 3
        });
        return;
      }
      y(), m.value = !0;
    }, x = async () => {
      const e = r.selectedRecords.map((n) => n.id), l = {};
      r.fields.forEach((n) => {
        t[n.name] && s[n.name] !== null && s[n.name] !== "" && (l[n.name] = s[n.name]);
      });
      const g = { ids: e, editDTO: l };
      if (Object.keys(l).length === 0) {
        _.warning({
          message: "提示",
          description: "请至少选择一个字段进行编辑",
          duration: 3
        });
        return;
      }
      c("submit", g);
    }, O = () => {
      m.value = !1, y(), c("cancel");
    };
    return b({
      showModal: M,
      onSuccess: () => {
        m.value = !1, _.success({
          message: "成功",
          description: "批量编辑成功",
          duration: 3
        }), c("success");
      },
      onError: (e) => {
        _.error({
          message: "失败",
          description: e || "操作失败，请稍后重试",
          duration: 3
        });
      }
    }), (e, l) => {
      const g = u("a-form-item"), n = u("a-col"), V = u("a-row"), q = u("a-form"), D = u("a-modal");
      return d(), v(D, {
        title: "批量编辑",
        open: m.value,
        getContainer: a.getContainer,
        width: "1000px",
        onOk: x,
        onCancel: O
      }, {
        default: p(() => [
          f(q, {
            model: s,
            "label-col": { span: 10 },
            "wrapper-col": { span: 14 },
            colon: !1
          }, {
            default: p(() => [
              f(V, { gutter: 24 }, {
                default: p(() => [
                  (d(!0), A(B, null, R(a.fields, (o) => (d(), v(n, {
                    span: o.span || 8,
                    key: o.name
                  }, {
                    default: p(() => [
                      f(g, {
                        label: o.label,
                        "label-col": o.labelCol || { span: 10 },
                        "wrapper-col": o.wrapperCol || { span: 14 },
                        class: E({ "button-label": !0, "button-pressed": t[o.name] }),
                        onClick: w((C) => k(o.name), ["prevent"])
                      }, {
                        default: p(() => [
                          S("div", U, [
                            (d(), v($(o.component), {
                              value: s[o.name],
                              "onUpdate:value": (C) => s[o.name] = C,
                              options: o.options,
                              placeholder: o.placeholder || "请输入",
                              class: E([{
                                "non-editable-input": !t[o.name],
                                "editable-input": t[o.name]
                              }, "form-input"]),
                              onClick: l[0] || (l[0] = w(() => {
                              }, ["stop"])),
                              disabled: !t[o.name],
                              readonly: o.readonly && !t[o.name]
                            }, null, 40, ["value", "onUpdate:value", "options", "placeholder", "class", "disabled", "readonly"]))
                          ])
                        ]),
                        _: 2
                      }, 1032, ["label", "label-col", "wrapper-col", "class", "onClick"])
                    ]),
                    _: 2
                  }, 1032, ["span"]))), 128))
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 8, ["model"])
        ]),
        _: 1
      }, 8, ["open", "getContainer"]);
    };
  }
}, z = /* @__PURE__ */ T(j, [["__scopeId", "data-v-442a5f94"]]), J = {
  install: (a) => {
    a.component("MultiEditModal", z);
  }
};
export {
  z as MultiEditModal,
  J as default
};
//# sourceMappingURL=codeg-multiedit-ui.es.js.map
